package com.ajb.car.vo.zhima.quotation;

import java.math.BigDecimal;

import com.ajb.car.vo.common.CommonResult;

public class QuotationResponse {
	private String errorCode;//错误代码，E01-入参校验不通过,E02-重复投保,S01-保存失败
	private String errorMessage;//错误信息
	
	private Integer total = 0;
	private Integer bzTotal = 0;
	private Integer tcTotal = 0;
	private BigDecimal totalPremium = new BigDecimal(0);
	private BigDecimal bzPremium = new BigDecimal(0);
	private BigDecimal tcPremium = new BigDecimal(0);
	private BigDecimal tsltax = new BigDecimal(0);
	private BigDecimal allCharge = new BigDecimal(0);
	private CommonResult commonResult;//查询结果信息

	public CommonResult getCommonResult() {
		return commonResult;
	}

	public void setCommonResult(CommonResult commonResult) {
		this.commonResult = commonResult;
	}

	public BigDecimal getTotalPremium() {
		return totalPremium;
	}

	public void setTotalPremium(BigDecimal totalPremium) {
		this.totalPremium = totalPremium;
	}

	public BigDecimal getTcPremium() {
		return tcPremium;
	}

	public void setTcPremium(BigDecimal tcPremium) {
		this.tcPremium = tcPremium;
	}

	public BigDecimal getTsltax() {
		return tsltax;
	}

	public void setTsltax(BigDecimal tsltax) {
		this.tsltax = tsltax;
	}

	public BigDecimal getAllCharge() {
		return allCharge;
	}

	public void setAllCharge(BigDecimal allCharge) {
		this.allCharge = allCharge;
	}

	public Integer getTotal() {
		return total;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public BigDecimal getBzPremium() {
		return bzPremium;
	}

	public void setBzPremium(BigDecimal bzPremium) {
		this.bzPremium = bzPremium;
	}

	public String getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(String errorCode) {
		this.errorCode = errorCode;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}

	public Integer getBzTotal() {
		return bzTotal;
	}

	public void setBzTotal(Integer bzTotal) {
		this.bzTotal = bzTotal;
	}

	public Integer getTcTotal() {
		return tcTotal;
	}

	public void setTcTotal(Integer tcTotal) {
		this.tcTotal = tcTotal;
	}

}
